%define url_ver %(echo %{version}|cut -d. -f1,2)

%global __provides_exclude_from %{_libdir}/%{name}/plugin.*\\.so

%define gi_major 1.0
%define girname  %mklibname %{name}-gir %{gi_major}

Summary: Small but powerful text editor for MATE
Name:    pluma
Version: 1.18.1
Release: %mkrel 1
License: GPLv2+
Group:   Editors
URL:     http://mate-desktop.org
Source0: http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires: iso-codes
BuildRequires: itstool
BuildRequires: mate-common
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: pkgconfig(enchant) >= 1.2.0
BuildRequires: pkgconfig(glib-2.0) >= 2.36
BuildRequires: pkgconfig(iso-codes) >= 0.35
BuildRequires: pkgconfig(libxml-2.0) >= 2.5.0
BuildRequires: pkgconfig(sm) >= 1.0.0
BuildRequires: pkgconfig(ice)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(libsoup-gnome-2.4)
BuildRequires: pkgconfig(enchant)
BuildRequires: yelp-tools
BuildRequires: pkgconfig(mate-desktop-2.0) >= 1.9.0
BuildRequires: pkgconfig(gtk+-3.0) >= 3.14.0
BuildRequires: pkgconfig(gtksourceview-3.0) >= 3.0.0
BuildRequires: pkgconfig(gmodule-2.0)
BuildRequires: pkgconfig(gthread-2.0) >= 2.13.0
BuildRequires: pkgconfig(gio-2.0) >= 2.26.0
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: pkgconfig(libpeas-1.0) >= 1.2.0
BuildRequires: pkgconfig(libpeas-gtk-1.0) >= 1.2.0
BuildRequires: pkgconfig(pygtksourceview-2.0)
BuildRequires: pkgconfig(pygobject-3.0)
BuildRequires: python < 3.0.0

Requires: pyorbit
# the run-command plugin uses zenity
Requires: zenity
Requires: caja-schemas
Requires: typelib(Peas)
Requires: typelib(PeasGtk)

Obsoletes: %{name} < 1.16.0

%rename mate-text-editor

%description
Pluma is a small but powerful text editor designed expressly
for MATE.

It includes such features as split-screen mode, a plugin
API, which allows Pluma to be extended to support many
features while remaining small at its core, multiple
document editing through the use of a 'tabbed' notebook and
many more functions.

%package -n %{girname}
Summary:    GObject Introspection interface description for %{name}
Group:      System/Libraries
Requires:   %{name} = %{version}

%description -n %{girname}
GObject Introspection interface description for %{name}

%package devel
Group:      Development/C
Summary:    Headers for writing Pluma plugins
Obsoletes:  %{name}-devel < 1.16.0
%rename mate-text-editor-devel

%description devel
Pluma is a small but powerful text editor designed expressly
for MATE.

It includes such features as split-screen mode, a plugin
API, which allows Pluma to be extended to support many
features while remaining small at its core, multiple
document editing through the use of a 'tabbed' notebook and
many more functions.

Install this if you want to build plugins that use Pluma's API.

%prep
%autosetup

%build
%configure2_5x    \
    --disable-schemas-compile    \
    --enable-gtk-doc-html     \
    --enable-gvfs-metadata

%make_build

%install
%make_install

## clean up all the static libs for plugins
find %{buildroot} -name "*.la" -delete

%find_lang %{name} --with-gnome --with-help --all-name

%files  -f %{name}.lang
%doc README AUTHORS
%license COPYING
%{_bindir}/pluma
%{_libdir}/pluma/
%{_libexecdir}/pluma/
%{_datadir}/applications/pluma.desktop
%{_datadir}/appdata/pluma.appdata.xml
%{_datadir}/glib-2.0/schemas/org.mate.pluma.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.pluma.plugins.filebrowser.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.pluma.plugins.time.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.pluma.plugins.spell.gschema.xml
%{_datadir}/pluma/
%{_mandir}/man1/pluma.1.*

%files -n %{girname}
%{_libdir}/girepository-1.0/Pluma-%{gi_major}.typelib

%files devel
%doc %{_datadir}/gtk-doc/html/*
%{_includedir}/pluma/
%{_libdir}/pkgconfig/pluma.pc
%{_datadir}/gir-1.0/Pluma-%{gi_major}.gir


%changelog
* Wed Apr 05 2017 tarakbumba <tarakbumba> 1.18.1-1.mga6
+ Revision: 1095939
- Update to 1.18.1 version

* Wed Mar 15 2017 tarakbumba <tarakbumba> 1.18.0-1.mga6
+ Revision: 1092649
- Update to 1.18.0 version
- Update to 1.17.4 version
- Updated to 1.17.3 version

* Wed Dec 14 2016 wally <wally> 1.16.0-1.mga6
+ Revision: 1075203
- new version 1.16.0
- build with gtk3
- disable python build as it requires pygtk2.0 and doesn't build with gtk3

* Thu Apr 14 2016 tarakbumba <tarakbumba> 1.14.0-1.mga6
+ Revision: 1001523
- Update to 1.14.0 version

* Sat Mar 19 2016 luigiwalser <luigiwalser> 1.13.1-2.mga6
+ Revision: 993020
- fix patch

* Fri Feb 26 2016 tarakbumba <tarakbumba> 1.13.1-1.mga6
+ Revision: 979333
- Update to 1.13.1 version

* Mon Feb 08 2016 tarakbumba <tarakbumba> 1.13.0-1.mga6
+ Revision: 950841
- Update to 1.13.0 version

* Sat Dec 05 2015 tarakbumba <tarakbumba> 1.12.1-1.mga6
+ Revision: 908440
- Update to 1.12.1 version

* Sun Nov 08 2015 tarakbumba <tarakbumba> 1.12.0-1.mga6
+ Revision: 898528
-Update to 1.12.0 version

* Mon Oct 26 2015 tarakbumba <tarakbumba> 1.10.2-2.mga6
+ Revision: 895596
- Remove unneeded and deprecated mate-dialogs dependency

* Tue Sep 01 2015 wally <wally> 1.10.2-1.mga6
+ Revision: 872016
- new version 1.10.2

* Mon Jun 22 2015 tarakbumba <tarakbumba> 1.10.1-1.mga6
+ Revision: 839895
- Update to 1.10.1 version

* Wed Oct 15 2014 umeabot <umeabot> 1.8.1-3.mga5
+ Revision: 745318
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.8.1-2.mga5
+ Revision: 687680
- Mageia 5 Mass Rebuild

* Wed Apr 30 2014 tarakbumba <tarakbumba> 1.8.1-1.mga5
+ Revision: 619016
- Update to 1.8.1 version

* Sat Mar 08 2014 wally <wally> 1.8.0-2.mga5
+ Revision: 601194
- obsolete mate-text-editor-devel

* Wed Mar 05 2014 tarakbumba <tarakbumba> 1.8.0-1.mga5
+ Revision: 600118
- Updated to version 1.8.0

* Sat Mar 01 2014 tarakbumba <tarakbumba> 1.7.90-1.mga5
+ Revision: 598084
- imported package pluma

